View Issue Details

IDProjectCategoryView StatusLast Update
0000251ascendbuild-linuxpublic2008-02-10 13:03
Reporterjohn 
Assigned Tojohn 
PriorityhighSeveritymajorReproducibilityunable to reproduce
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000251: swig detection with SCons fails for Krishnan
DescriptionKrishnan can't run the SCons build, since it baulks at the version of SWIG he's got installed.
Additional Informationsvn update gave me

[kchittur@EB121XP-Linux trunk]$ svn update
G SConstruct

svn update gave me

[kchittur@EB121XP-Linux trunk]$ svn update
G SConstruct

scons SWIG=swig gave me

[kchittur@EB121XP-Linux trunk]$ scons SWIG=swig
scons: Reading SConscript files ...
PLATFORM = Linux
SOLVERS: CMSLV,QRSLV
WITH_LOCAL_HELP: 0
WITH_BINTOKEN: 0
DEFAULT_ASCENDLIBRARY: /home/kchittur/code/testing/trunk/models
Checking version of SWIG(cached) Error running -version cmd:
-----

SWIG Version 1.3.24
Copyright (c) 1995-1998
University of Utah and the Regents of the University of California
Copyright (c) 1998-2004
University of Chicago
Compiled with i386-redhat-linux-g++ [i386-redhat-linux-gnu]

Please see http://www.swig.org for reporting bugs and further information

----

SWIG version is not OK

scons SWIG=swig gave me

[kchittur@EB121XP-Linux trunk]$ scons SWIG=swig
scons: Reading SConscript files ...
PLATFORM = Linux
SOLVERS: CMSLV,QRSLV
WITH_LOCAL_HELP: 0
WITH_BINTOKEN: 0
DEFAULT_ASCENDLIBRARY: /home/kchittur/code/testing/trunk/models
Checking version of SWIG(cached) Error running -version cmd:
-----

SWIG Version 1.3.24
Copyright (c) 1995-1998
University of Utah and the Regents of the University of California
Copyright (c) 1998-2004
University of Chicago
Compiled with i386-redhat-linux-g++ [i386-redhat-linux-gnu]

Please see http://www.swig.org for reporting bugs and further information

----

SWIG version is not OK
TagsNo tags attached.

Relationships

Activities

john

2006-04-02 02:32

administrator   ~0000310

Reminder sent to: krishnan

Krishnan let's work on this problem here in the bug tracker, OK?

john

2006-04-02 02:34

administrator   ~0000311

I think the problem may be that you have modified the SConstruct file (hence the 'G' in the 'svn update' output that you set me. Please:

cd src/ascend/trunk
rm SConstruct
svn update
scons -c
scons

And let me see what you get.

john

2006-04-02 02:49

administrator   ~0000312

Fixed in changeset 474.

Would you believe it, 'swig -version' outputs to stderr in version 1.3.24, but to stdout in newer versions!

Let me know if this doesn't work for you now.

Issue History

Date Modified Username Field Change
2006-04-02 02:30 john New Issue
2006-04-02 02:30 john Target release => 0.9.6
2006-04-02 02:32 john Note Added: 0000310
2006-04-02 02:34 john Note Added: 0000311
2006-04-02 02:49 john Note Added: 0000312
2006-04-02 02:50 john Status new => resolved
2006-04-02 02:50 john Resolution open => fixed
2006-04-02 02:50 john Assigned To => john
2006-06-22 07:32 john Fixed in Version => 0.9.6
2006-06-22 07:32 john Additional Information Updated
2008-02-10 13:03 john Status resolved => closed